## tt burnin-0.2.5

=== Makefile ===
all: build

# Python >= 3 is required, we do not support the older
# Python (I.E. 2.7)
PYTHON ?= python3

.PHONY: build
build:
	${PYTHON} -m venv .env
	. ./.env/bin/activate && python -m pip install --upgrade pip
	. ./.env/bin/activate && python -m pip install --upgrade --ignore-installed -ve .[dev]

.PHONY: release
release:
	${PYTHON} -m venv my-env
	. ./my-env/bin/activate && python -m pip install --upgrade pip
	. ./my-env/bin/activate && python -m pip install --upgrade -v --ignore-installed -r requirements.txt
	. ./my-env/bin/activate && python -m pip install --upgrade -v .

.PHONY: clean
clean:
	rm -rf .env

=== debian/changelog ===
tt-burnin (0.2.5) noble; urgency=medium

  [ Jonathan Baker ]
  * Update to community auto labels v2

  [ Samridhi Bansal ]
  * Bug Fix: Added garbage collection for chip objects post reset

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 0.2.5

 -- Tenstorrent Releases <releases@tenstorrent.com>  Wed, 12 Nov 2025 19:05:10 +0000

tt-burnin (0.2.4) noble; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Fixing build process
  * Chasing down that signing problem
  * build-debian: Fixing number of commits counter

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 0.2.4

 -- Tenstorrent Releases <releases@tenstorrent.com>  Mon, 18 Aug 2025 23:07:23 +0000

tt-burnin (0.2.3) noble; urgency=medium

  [ Samridhi ]
  * Added 6u galaxy reset support

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 0.2.3

 -- Tenstorrent Releases <releases@tenstorrent.com>  Fri, 08 Aug 2025 15:36:22 +0000

tt-burnin (0.2.2) noble; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Workflows for release and building

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 0.2.2

 -- Tenstorrent Releases <releases@tenstorrent.com>  Tue, 05 Aug 2025 19:29:59 +0000

tt-burnin (0.2.1-1) stable; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Start of Packaging changelog

 -- Tenstorrent Releases <releases@tenstorrent.com>  Tue, 05 Aug 2025 23:20:43 +0000

=== debian/control ===
Source: tt-burnin
Section: utils
Priority: optional
Maintainer: Sam Bansal <sbansal@tenstorrent.com>
Build-depends:
 debhelper (>= 10),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 python3-wheel,
 python3-all,
 python3-pip
Standards-Version: 4.5.0
Homepage: https://github.com/tenstorrent/tt-burnin
Vcs-Git: https://github.com/tenstorrent/tt-burnin.git
Vcs-Browser: https://github.com/tenstorrent/tt-burnin

Package: tt-burnin
Architecture: all
Essential: no
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pyluwen,
Description: Tenstorrent chip testing and burn-in utility
 # tt-burnin
 .
 Tenstorrent Burnin (TT-Burnin) is a command line utility to run a high power consumption workload on TT devices.
 .
 ## Official Repository
 [https://github.com/tenstorrent/tt-burnin](https://github.com/tenstorrent/tt-burnin)

## tt flash-3.4.4

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Python >= 3 is required, we do not support the older
 # Python (I.E. 2.7)
 PYTHON ?= python3
+LUWEN_DIR ?= $${HOME}/work/luwen
 
 .PHONY: build
 build:
@@ -20,4 +21,3 @@
 .PHONY: clean
 clean:
 	rm -rf .env
-

=== debian/changelog ===
tt-flash (3.4.4) noble; urgency=medium

  [ Petra Alexson ]
  * Strictly require latest version of tt-tools-common and pyluwen

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 3.4.4

 -- Tenstorrent Releases <releases@tenstorrent.com>  Wed, 10 Sep 2025 16:14:35 +0000

tt-flash (3.4.3) noble; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Fixing build process
  * Chasing down that signing problem
  * build-debian: Fixing number of commits counter

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 3.4.3

 -- Tenstorrent Releases <releases@tenstorrent.com>  Mon, 18 Aug 2025 23:07:30 +0000

tt-flash (3.4.2) noble; urgency=medium

  [ Samridhi Bansal ]
  * feat: Added p300 support to flash - Identify L and R chip before flashing

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 3.4.2

 -- Tenstorrent Releases <releases@tenstorrent.com>  Fri, 08 Aug 2025 15:34:26 +0000

tt-flash (3.4.1) noble; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Adjust dependencies to reflect off pypi now
  * Lets get the release pipelines and builds all going!

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 3.4.1

 -- Tenstorrent Releases <releases@tenstorrent.com>  Tue, 05 Aug 2025 18:53:08 +0000

tt-flash (3.1.1-1) stable; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Start of Packaging changelog

 -- Tenstorrent Releases <releases@tenstorrent.com>  Tue, 05 Aug 2025 23:20:43 +0000

=== debian/control ===
Source: tt-flash
Section: utils
Priority: optional
Maintainer: Sam Bansal <sbansal@tenstorrent.com>
Build-depends:
 debhelper (>= 10),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 python3-wheel,
 python3-all,
 python3-pip
Standards-Version: 4.5.0
Homepage: https://github.com/tenstorrent/tt-flash
Vcs-Git: https://github.com/tenstorrent/tt-flash.git
Vcs-Browser: https://github.com/tenstorrent/tt-flash

Package: tt-flash
Architecture: all
Essential: no
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pyluwen,
Description: Tenstorrent Firmware Flash tool
 # tt-flash
 .
 This is a utility to flash firmware blobs to tenstorrent devices.
 .
 ## Official Repository
 [https://github.com/tenstorrent/tt-flash](https://github.com/tenstorrent/tt-flash)

## tt smi-3.0.28

=== debian/changelog ===
tt-smi (3.0.28) noble; urgency=medium

  [ Tristan Ross ]
  * chore: loosen dependency requirements

  [ Samridhi ]
  * Bump required python version from 3.7 -> 3.10

  [ John 'Warthog9' Hawley ]
  * pyproject.toml: Minor typo fix
  * Fixing build process
  * Chasing down that signing problem
  * build-debian: Fixing number of commits counter

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 3.0.28

 -- Tenstorrent Releases <releases@tenstorrent.com>  Mon, 18 Aug 2025 23:07:09 +0000

tt-smi (3.0.27) noble; urgency=medium

  [ John 'Warthog9' Hawley ]
  * Remove, un-needed setup.py
  * Set a minimal pyluwen version in pyproject.toml
  * Fix missing Deb Build-Depend
  * Git Ignores: fix Debian ignores
  * py3dist-overrides: Cleaning up warning messages
  * Bringing release workflows inlinte with tt-tools-common
  * Debian Packaging: fixing errant build issues causing 22.04 to not build correctly

  [ Tenstorrent Releases ]
  * pyproject.toml- updating version to 3.0.27

 -- Tenstorrent Releases <releases@tenstorrent.com>  Tue, 05 Aug 2025 18:20:11 +0000

tt-smi (3.0.26) noble; urgency=medium

  [ Samridhi ]
  * Added single tray reset option
  * Update README with new galaxy reset option
  * Chore: Bumped smi and luwen versions
  * Downgraded pyproject.toml to use automated release feature to bump it again

  [ Tenstorrent Releases ]
  * Version bump to v3.0.26

 -- Tenstorrent Releases <releases@tenstorrent.com>  Thu, 31 Jul 2025 17:46:47 +0000

tt-smi (3.0.25) noble; urgency=medium

  * Version bump to v3.0.25

 -- Tenstorrent Releases <releases@tenstorrent.com>  Tue, 29 Jul 2025 20:34:24 +0000

tt-smi (3.0.24-1) unstable; urgency=medium

  * Version 3.0.24 release

 -- June Knauth <jknauth@tenstorrent.com>  Thu, 10 Jul 2025 12:00:00 +0000

=== debian/control ===
Source: tt-smi
Section: utils
Priority: optional
Maintainer: Sam Bansal <sbansal@tenstorrent.com>
Build-depends:
 debhelper (>= 10),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 python3-wheel,
 python3-all,
 python3-pip
Standards-Version: 4.5.0
Homepage: https://github.com/tenstorrent/tt-smi
Vcs-Git: https://github.com/tenstorrent/tt-smi.git
Vcs-Browser: https://github.com/tenstorrent/tt-smi

Package: tt-smi
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-distro,
 python3-elasticsearch,
 python3-pydantic,
 python3-rich,
 python3-textual,
 python3-importlib-resources,
 python3-setuptools,
 python3-pyluwen,
 python3-tt-tools-common
Description: ncurses based hardware monitoring for Tenstorrent silicon
 tt-smi is a command-line tool that provides hardware monitoring capabilities
 for Tenstorrent silicon devices. It offers an ncurses-based interface for
 real-time monitoring of device status, performance metrics, and system health.
 .
 This package provides the main tt-smi command-line utility for monitoring
 Tenstorrent hardware devices.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ \
		--buildsystem=pybuild \
		--with=python3
	echo "Done Stage 1"

override_dh_auto_test:
	# Skip tests during package build
